%global srcname mlpy
%global __provides_exclude_from ^(%{python2_sitearch}|%{python3_sitearch})/.*\\.so

Name:		python-%{srcname}
Version:	3.5.0
Release:	6%{?dist}
Summary:	Machine Learning Python

License:	GPLv3
URL:		http://mlpy.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{srcname}/files/%{srcname}%20%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:	gsl-devel
BuildRequires:	python2-devel
BuildRequires:	python2-numpy
BuildRequires:	python2-scipy

#For Python3
BuildRequires:	python3-devel
BuildRequires:	python3-numpy
BuildRequires:	python3-scipy


%description
Machine Learning Python(mlpy) provides a wide range of state-of-the-art
machine learning methods for supervised and unsupervised problems. It
is a high performance Python library for predictive modelling.


%package -n python2-%{srcname}
Summary:	%{summary}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:	python2-numpy
Requires:	gsl
Requires:	python2-scipy

%description -n python2-%{srcname}
Machine Learning Python(mlpy) provides a wide range of state-of-the-art
machine learning methods for supervised and unsupervised problems. It
is a high performance Python library for predictive modelling.


%package -n python3-%{srcname}
Summary:	%{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	python3-numpy
Requires:	gsl
Requires:	python3-scipy

%description -n python3-%{srcname}
Machine Learning Python(mlpy) provides a wide range of state-of-the-art
machine learning methods for supervised and unsupervised problems. It
is a high-performance Python library for predictive modeling.
This is the python3 version of the library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license gpl-3.0.txt
%doc README.txt CHANGES.txt
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-*.egg-info


%files -n python3-%{srcname}
%license gpl-3.0.txt
%doc README.txt CHANGES.txt
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-*.egg-info


%changelog
* Fri Jan 05 2018 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0-6
- Remove superflous %check

* Tue Mar 14 2017 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0-5
- Fixed typos and removed comments.

* Sun Nov 13 2016 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0-4
- Improved description

* Fri Nov 11 2016 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0-3
- Changed to %autosetup in %prep and improved description

* Tue Nov 08 2016 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0-2
- Remove duplicate BR and unnecessary BR

* Mon Nov 07 2016 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 3.5.0
- First Release 
